Subject: bug#60418: [PATCH] Add :vc keyword to use-package

From: Felician Nemeth <[email-masked]>
Date: Sat, 08 Apr 2023 10:48:16 +0200

>>>>   One has to keep in mind that by default you will be checking out the tip
>>>>   of the default development branch.  [...]

>>> Maybe use-package's package-vc integration should use more sensible
>>> defaults then?  But if people don't like this feature, I personally
>>> won't press the issue further.
>>
>> I am afraid I don't know what you mean by more sensible?  My central
>> point is that I wouldn't want to encourage people to download packages
>> using package-vc by default.

The integration of package-vc with use-package makes a bit easier what's
already possible.

One possible way to mitigate the problem of running instable code is to
check out the commit with the latest tag.  (I don't know how feasible is
to implement this.)  Alternatively, use-package cloud refuse a :vc
keyword if an additional :i-know-this-is-in-development-code keyword was
not set.